FolksDummy.PersonaStore.AddPersonaFromDetailsMock – folks-dummy Reference Manual

# AddPersonaFromDetailsMock

## Description:

public delegate int AddPersonaFromDetailsMock (Persona persona) throws PersonaStoreError

Type of a mock function for Folks.PersonaStore.add_persona_from_details.

See FolksDummy.PersonaStore.set_add_persona_from_details_mock.

## Parameters:

persona | the persona being added to the store, as constructed from the details passed to Folks.PersonaStore.add_persona_from_details.

## Returns:

delay to apply to the add persona operation (negative delays complete synchronously; zero delays complete in an idle callback; positive delays complete after that many milliseconds)

## Exceptions:

PersonaStoreError | to be thrown from Folks.PersonaStore.add_persona_from_details

## Since:

0.9.7